Bug 1469077 - [RFE] Import from kvm source when guest's disk type is volume
[RFE] Import from kvm source when guest's disk type is volume
Status: VERIFIED
Product: vdsm
Classification: oVirt
Component: RFEs (Show other bugs)
4.19.20
x86_64 Unspecified
medium Severity medium (vote)
: ovirt-4.2.0
: ---
Assigned To: Tomáš Golembiovský
Nisim Simsolo
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-10 07:01 EDT by Tomáš Golembiovský
Modified: 2017-11-14 02:06 EST (History)
17 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Previously, it was not possible to import virtual machines containing disks that were of type 'volume'. In this release, it is now possible to import this type of virtual machine.
Story Points: ---
Clone Of: 1468509
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Virt
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
michal.skrivanek: ovirt‑4.2?
gklein: testing_plan_complete+
rule-engine: planning_ack?
michal.skrivanek: devel_ack+
rule-engine: testing_ack+


Attachments (Terms of Use)
vdsm.log (starts at 2017-10-02 15:59:42) (447.41 KB, application/x-xz)
2017-10-02 09:05 EDT, Nisim Simsolo
no flags Details
engine.log (488.31 KB, application/x-xz)
2017-10-02 09:06 EDT, Nisim Simsolo
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 79834 master POST v2v: allow import of disk with type='volume' 2017-07-26 06:52 EDT

  None (edit)
Comment 1 Tomáš Golembiovský 2017-07-10 07:07:32 EDT
*** Bug 1468509 has been marked as a duplicate of this bug. ***
Comment 2 Michal Skrivanek 2017-07-11 06:26:12 EDT
*** Bug 1468944 has been marked as a duplicate of this bug. ***
Comment 3 Tomáš Golembiovský 2017-07-11 09:24:34 EDT
For the context: type='volume' allows user to use disks from storage pool without caring about details how the pool was defined.

For example with the pool 'pool1' deined like:

    <pool type="dir">
      <name>pool1</name>
      <target>
        <path>/var/vm_pool/</path>
      </target>
    </pool>

The following disk definitions are equivalent:

    <disk type='file' device='disk'> 
      <source file='/var/vm_pool/machine1.qcow2'/>
      ...
    </disk>

and

    <disk type='volume' device='disk'> 
      <source pool='pool1' volume='machine1.qcow2'/>
      ...
    </disk>
Comment 7 Nisim Simsolo 2017-10-02 09:05 EDT
Created attachment 1333230 [details]
vdsm.log (starts at 2017-10-02 15:59:42)
Comment 8 Nisim Simsolo 2017-10-02 09:06 EDT
Created attachment 1333231 [details]
engine.log
Comment 9 Tomáš Golembiovský 2017-10-19 08:13:02 EDT
The disk definition is wrong:

    <disk type='volume' device='disk'>
      <driver name='qemu' type='raw'/>
      <target dev='hda' bus='ide'/>
      <address type='drive' controller='0' bus='0' target='0' unit='0'/>
    </disk>

There is no <source> element here. You need to add something like:

    <source pool='some_pool' volume='some_volume.qcow2' />
Comment 10 Emma Heftman 2017-10-24 06:57:08 EDT
Hi Tomas
I'm reviewing the doc text and it is not clear to me what you mean by "In this case the disk is described as a storage pool/volume pair."

Also, is there any impact on documentation? i.e. is there something that must be manually configure in order for this to work?
Thanks
Emma
Comment 11 Tomáš Golembiovský 2017-10-24 10:32:59 EDT
(In reply to Emma Heftman from comment #10)
> Hi Tomas
> I'm reviewing the doc text and it is not clear to me what you mean by "In
> this case the disk is described as a storage pool/volume pair."

This tells how the disk is defined in libvirt XML of the VM on the source KVM machine.


> Also, is there any impact on documentation? i.e. is there something that
> must be manually configure in order for this to work?

No.
Comment 12 Emma Heftman 2017-10-25 08:21:37 EDT
(In reply to Tomáš Golembiovský from comment #11)
> (In reply to Emma Heftman from comment #10)
> > Hi Tomas
> > I'm reviewing the doc text and it is not clear to me what you mean by "In
> > this case the disk is described as a storage pool/volume pair."
> 
> This tells how the disk is defined in libvirt XML of the VM on the source
> KVM machine.
> 
Thanks Tomas. I believe this is too detailed for the Release Notes which describes what the fix/enhancement does, and not how that was achieved.
 
> > Also, is there any impact on documentation? i.e. is there something that
> > must be manually configure in order for this to work?
> 
> No.
Comment 13 Nisim Simsolo 2017-11-01 05:27:33 EDT
Verification builds:
ovirt-engine-4.2.0-0.0.master.20171029154613.git19686f3.el7.centos
vdsm-4.20.4-12.git11d6d3d.el7.centos.x86_64
libvirt-client-3.2.0-14.el7_4.3.x86_64
qemu-kvm-common-ev-2.9.0-16.el7_4.8.1.x86_64

Polarion verification test case added to external trackers.

Note You need to log in before you can comment on or make changes to this bug.